Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class Loader

    java.lang.Object
      org.apache.axis2.util.Loader

    public class Loader

extends java.lang.Object

Loads resources (or images) from various sources.

Constructor Summary
`Loader()`

Method Summary
`static java.net.URL` | `getResource(java.lang.ClassLoader loader, java.lang.String resource)` Gets the resource with the specified class loader.
`static java.net.URL` | `getResource(java.lang.String resource)` Searches for `resource` in different places.
`static java.io.InputStream` | `getResourceAsStream(java.lang.ClassLoader loader, java.lang.String resource)` Gets the resource with the specified class loader.
`static java.io.InputStream` | `getResourceAsStream(java.lang.String resource)` Searches for `resource` in different places.
`static java.lang.Class` | `loadClass(java.lang.ClassLoader loader, java.lang.String clazz)` Loads the specified classloader and then falls back to the loadClass.
`static java.lang.Class` | `loadClass(java.lang.String clazz)` If running under JDK 1.2, loads the specified class using the `Thread` `contextClassLoader` .

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Loader

    public Loader()

Method Detail

### getResource

    public static java.net.URL getResource(java.lang.String resource)

  Searches for `resource` in different places. The search order is as follows:

  1. Search for `resource` using the thread context class loader under Java2. If that fails, search for `resource` using the class loader that loaded this class (`Loader`).

  2. Try one last time with `ClassLoader.getSystemResource(resource)`, that is is using the system class loader in JDK 1.2 and virtual machine's built-in class loader in JDK 1.1.

  Parameters:
    `resource` -
  Returns:
    Returns URL

### getResource

    public static java.net.URL getResource(java.lang.ClassLoader loader,
                                           java.lang.String resource)
                                    throws java.lang.ClassNotFoundException

  Gets the resource with the specified class loader.

  Parameters:
    `loader` -
    `resource` -
  Returns:
    Returns URL.
  Throws:
    `java.lang.ClassNotFoundException`

### getResourceAsStream

    public static java.io.InputStream getResourceAsStream(java.lang.String resource)

  Searches for `resource` in different places. The search order is as follows:

  1. Search for `resource` using the thread context class loader under Java2. If that fails, search for `resource` using the class loader that loaded this class (`Loader`).

  2. Try one last time with `ClassLoader.getSystemResourceAsStream(resource)`, that is is using the system class loader in JDK 1.2 and virtual machine's built-in class loader in JDK 1.1.

  Parameters:
    `resource` -
  Returns:
    Returns URL

### getResourceAsStream

    public static java.io.InputStream getResourceAsStream(java.lang.ClassLoader loader,
                                                          java.lang.String resource)
                                                   throws java.lang.ClassNotFoundException

  Gets the resource with the specified class loader.

  Parameters:
    `loader` -
    `resource` -
  Returns:
    Returns URL.
  Throws:
    `java.lang.ClassNotFoundException`

### loadClass

    public static java.lang.Class loadClass(java.lang.ClassLoader loader,
                                            java.lang.String clazz)
                                     throws java.lang.ClassNotFoundException

  Loads the specified classloader and then falls back to the loadClass.

  Parameters:
    `loader` -
    `clazz` -
  Returns:
    Returns Class.
  Throws:
    `java.lang.ClassNotFoundException`

### loadClass

    public static java.lang.Class loadClass(java.lang.String clazz)
                                     throws java.lang.ClassNotFoundException

  If running under JDK 1.2, loads the specified class using the `Thread` `contextClassLoader` . If that fails, try Class.forname.

  Parameters:
    `clazz` -
  Returns:
    Returns Class.
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.